#### D.15.20.3 SPOLY

Procedure from library `sagbigrob.lib` (see sagbigrob_lib).

Usage:
  SPOLY(I,A); I ideal of subalgebra A, A subalgebra (which is a finite sagbi basis).

Return:
  an ideal S: S-polynomials of ideal I

Example:

    LIB "sagbigrob.lib";
    // Example 1:
    ring r=ZZ,(x,y),Dp;
    ideal A=2x2+xy,2y2,3xy;
    ideal I=4x2y2+2xy3,18x2y4;
    SPOLY(I,A);
    ==> _[1]=18xy5
    ==> _[2]=4x3y5+2x2y6
    // Example 2:
    ring r2=QQ,(x,y),Dp;
    ideal A=x2,xy;
    ideal I=x3y+x2,x4+x2y2,-x3y3-x2y2;
    SPOLY(I,A);
    ==> _[1]=-x3y3+x4
    ==> _[2]=-x5y5+x6y2

User manual for Singular version 4.4.1, 2025, generated by texi2html.